%define section non-free

Name:           javacc
Version:        3.1
Release:        1jpp
Epoch:          0
Summary:        Java Compiler Compiler
License:        Sun Binary Code License
URL:            http://javacc.dev.java.net/
Group:          Development/Compilers
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://javacc.dev.java.net/files/documents/17/5/javacc-3.1.tar.gz
Source1:        %{name}.jjdoc.script
Source2:        %{name}.jjtree.script
Source3:        %{name}.javacc.script
NoSource:       0
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       jpackage-utils >= 0:1.5
BuildRequires:  jpackage-utils >= 0:1.5

%description
Java Compiler Compiler (JavaCC) is the most popular parser generator
for use with Java applications. A parser generator is a tool that reads
a grammar specification and converts it to a Java program that can
recognize matches to the grammar. In addition to the parser generator
itself, JavaCC provides other standard capabilities related to parser
generation such as tree building (via a tool called JJTree included with
JavaCC), actions, debugging, etc.

Caution, this package doesn't contain any non-distributable sources. You
have to download them and rebuild before use.

%package manual
Summary:        Manual for %{name}
Group:          Development/Compilers

%description manual
Documentation for %{name}.

%package demo
Summary:        Demo for %{name}
Group:          Development/Documentation
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q

# -----------------------------------------------------------------------------

%build

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_javadir},%{_bindir},%{_datadir}/%{name}}

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/jjdoc
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/jjtree
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/javacc

cp -r examples $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -p bin/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

pushd $RPM_BUILD_ROOT%{_javadir}
# jar versioning
for jar in *-%{version}.jar; do
  ln -sf ${jar} `echo $jar | sed "s|-%{version}||g"`
done
popd

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/*
%{_javadir}/*

%files manual
%defattr(0644,root,root,0755)
%doc doc/*

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

# -----------------------------------------------------------------------------

%changelog
* Thu Jul 10 2003 Paul Nasrat <pauln at truemesh.com> - 0:3.1-1jpp
- Update to 3.1

* Sun May 11 2003 Ville Skytt <ville.skytta at iki.fi> - 0:3.0-1jpp
- Update to 3.0.
- Drop backwards compatibility cruft, this javacc isn't backwards compatible.

* Thu Mar 27 2003 Ville Skytt <ville.skytta at iki.fi> - 0:2.1-7jpp
- Fixed scripts to work w/ jpackage-utils 1.5.

* Wed Mar 26 2003 Ville Skytt <ville.skytta at iki.fi> - 0:2.1-6jpp
- JPackage 1.5 changes.
- Use sed instead of bash 2 extension when symlinking jars during build.

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.1-5jpp
- corrected group

* Sat May 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.1-4jpp
- vendor, distribution, group tags
- updated scripts

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.1-3jpp
- section macro
- used zip archive

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.1-2jpp
- no source package
- additional sources in individual archives
- no dependencies for manual package
- stricter dependency for demo package

* Tue Dec 18 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.1-1jpp
- even crappy distribution format can't resist JPackage fury :-)
